> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/notification/notification.requestagreement.md).

# Notification.requestAgreement

> Functional API `requestNotificationAgreement`You can use the same functionality with it as well.

### Feature description

Requests the notification consent screen and `onEvent` delivers the consent result via callback. Toss app Android/iOS `5.255.0` Available on versions above.

`options.templateCode`Enter the template code you created in App in Toss Console > Mini App > Smart Send.

It works in an event style and returns a function that releases the App Bridge callback. Be sure to release it when the result comes in.

Before calling `Notification.requestAgreement.isSupported()`you can check support. If you call it on an unsupported version, `UNSUPPORTED_APP_VERSION` An error occurs. The functional API `requestNotificationAgreement`attempts to subscribe regardless of version.

### Type

```ts
Notification.requestAgreement(params: RequestNotificationAgreementOptions): () => void;
```

**Params**

```ts
interface RequestNotificationAgreementOptions {
  options: { templateCode: string };
  onEvent: (result: { type: NotificationAgreementResult }) => void;
  onError: (error: unknown) => void | Promise<void>;
}

type NotificationAgreementResult =
  "newAgreement" | "alreadyAgreed" | "agreementRejected";
```

**Response**

Returns a cleanup function that releases the App Bridge callback.

### Error

The error code is `onError`can be received or the `try/catch`error caught in `error.code` value.

| Code                      | Description                                                                                                                                                                                                                                         |
| ------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | If the running Toss app version does not support this feature, it occurs immediately upon calling. `Notification.requestAgreement.isSupported()`Check in advance with, and if it occurs `error.message`show the user the (update guidance message). |

### Example code

```js
import { Notification } from "@apps-in-toss/web-framework";

try {
  const cleanup = Notification.requestAgreement({
    options: { templateCode: "test-template-code" },
    onEvent: (result) => {
      console.log(result.type); // 'newAgreement' | 'alreadyAgreed' | 'agreementRejected'
      cleanup();
    },
    onError: (error) => {
      console.error(error);
      cleanup();
    },
  });
} catch (error) {
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/notification/notification.requestagreement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
